Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519693 - Missing list of default radio stations
Summary: Missing list of default radio stations
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rhythmbox
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Bastien Nocera
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1519692
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 08:09 UTC by Jiri Prajzner
Modified: 2018-06-12 08:31 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1519692
Environment:
Last Closed: 2018-06-12 08:31:14 UTC


Attachments (Terms of Use)

Description Jiri Prajzner 2017-12-01 08:09:40 UTC
+++ This bug was initially created as a clone of Bug #1519692 +++

Description of problem:
There's no list of radio stations that should be in Rhythmbox by default

Version-Release number of selected component (if applicable):
3.4.2

How reproducible:
Always

Steps to Reproduce:
1. Search documentation for list of radio stations
2.
3.

Actual results:
No list of default radio stations

Expected results:
List of radio stations

Additional info:
It's very hard to test a product that doesn't state what is the default for certain feature.

Comment 3 Bastien Nocera 2018-06-08 15:08:24 UTC
The source is right there for everybody to see:
https://gitlab.gnome.org/GNOME/rhythmbox/blob/master/plugins/iradio/iradio-initial.xspf

Comment 4 Jiri Prajzner 2018-06-11 08:14:15 UTC
I think we don't expect people to search such info in a repository?
It's not user friendly.

Comment 5 Bastien Nocera 2018-06-11 08:19:04 UTC
(In reply to Jiri Prajzner from comment #4)
> I think we don't expect people to search such info in a repository?
> It's not user friendly.

Why would users need to know the default list of radio stations?

Comment 6 Jiri Prajzner 2018-06-11 08:36:54 UTC
Convenience. Maybe we could include it at least in release notes?

Comment 7 Bastien Nocera 2018-06-11 12:19:42 UTC
(In reply to Jiri Prajzner from comment #6)
> Convenience. Maybe we could include it at least in release notes?

I still don't understand why it's useful. Can you please explain why it would be useful for end-users to have?

Comment 8 Jiri Prajzner 2018-06-12 08:07:06 UTC
from my experience with rb, the list of preset radio stations changes quite often and people may have their favorite rs that is note present anymore in release x and they want to put it back but don't remember the url.
i think that release notes would do? if not, please feel free to close.

Comment 9 Bastien Nocera 2018-06-12 08:31:14 UTC
We usually keep all the stations if 1) they still exist 2) they still exist in a format that's playable using free and open codecs.

If a radio station disappears, it means that the radio station doesn't stream anymore, or it only streams in a format that we don't support.

A way for users to get their station back, if it were to still stream but only in MP3 format for example, would be to get a service like TuneIn added to grilo-plugins, so it appears in rhythmbox. See:
https://bugzilla.gnome.org/show_bug.cgi?id=740184
for the upstream request for a TuneIn plugin.


Note You need to log in before you can comment on or make changes to this bug.